RDKit: RDKit::FilterMatch Struct Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RDKit::FilterMatch Struct Reference

Holds the atomPairs matched by the underlying matcher. More...

`#include <FilterMatcherBase.h>`

## Public Member Functions
| FilterMatch ()
| FilterMatch (boost::shared_ptr< FilterMatcherBase > filter, MatchVectType atomPairs)
| FilterMatch (const FilterMatch &rhs)
bool | operator== (const FilterMatch &rhs) const
bool | operator!= (const FilterMatch &rhs) const

## Public Attributes
boost::shared_ptr< FilterMatcherBase > | filterMatch
MatchVectType | atomPairs

## Detailed Description

Holds the atomPairs matched by the underlying matcher.

Definition at line 51 of file FilterMatcherBase.h.

## Constructor & Destructor Documentation

RDKit::FilterMatch::FilterMatch | ( |  | ) |
| inline

Definition at line 55 of file FilterMatcherBase.h.

RDKit::FilterMatch::FilterMatch | ( | boost::shared_ptr< FilterMatcherBase > | filter,
|  | MatchVectType | atomPairs
| ) |  |
| inline

Definition at line 56 of file FilterMatcherBase.h.

RDKit::FilterMatch::FilterMatch | ( | const FilterMatch & | rhs | ) |
| inline

Definition at line 60 of file FilterMatcherBase.h.

## Member Function Documentation

bool RDKit::FilterMatch::operator!= | ( | const FilterMatch & | rhs | ) | const
| inline

Definition at line 68 of file FilterMatcherBase.h.

References atomPairs, RDKit::DEFAULT_FILTERMATCHERBASE_NAME, and filterMatch.

bool RDKit::FilterMatch::operator== | ( | const FilterMatch & | rhs | ) | const
| inline

Definition at line 63 of file FilterMatcherBase.h.

References atomPairs, and filterMatch.

## Member Data Documentation

MatchVectType RDKit::FilterMatch::atomPairs

Definition at line 53 of file FilterMatcherBase.h.

Referenced by operator!=(), and operator==().

boost::shared_ptr<FilterMatcherBase> RDKit::FilterMatch::filterMatch

Definition at line 52 of file FilterMatcherBase.h.

Referenced by operator!=(), and operator==().

The documentation for this struct was generated from the following file:

- FilterMatcherBase.h